package com.ruoyi.system.domain.zb;

import java.io.Serializable;

public class ZbReportRelationship implements Serializable {
    private String id;

    /**
     * 用户id
     *
     * @mbg.generated
     */
    private String userId;

    /**
     * 用户名字
     *
     * @mbg.generated
     */
    private String userName;

    /**
     * 部门id
     *
     * @mbg.generated
     */
    private String depId;

    /**
     * 部门名字
     *
     * @mbg.generated
     */
    private String depName;

    /**
     * 周报id
     *
     * @mbg.generated
     */
    private String reportId;

    /**
     * 字典id
     *
     * @mbg.generated
     */
    private String bsCommonId;

    /**
     * 字典父级id
     *
     * @mbg.generated
     */
    private String bsCommonParentId;

    /**
     * 领导标志
     *
     * @mbg.generated
     */
    private Byte leaderFlag;

    /**
     * 是否要填报
     *
     * @mbg.generated
     */
    private Byte fillFlag;

    /**
     * 待办id
     *
     * @mbg.generated
     */
    private String todoId;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDepId() {
        return depId;
    }

    public void setDepId(String depId) {
        this.depId = depId;
    }

    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }

    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public String getBsCommonId() {
        return bsCommonId;
    }

    public void setBsCommonId(String bsCommonId) {
        this.bsCommonId = bsCommonId;
    }

    public String getBsCommonParentId() {
        return bsCommonParentId;
    }

    public void setBsCommonParentId(String bsCommonParentId) {
        this.bsCommonParentId = bsCommonParentId;
    }

    public Byte getLeaderFlag() {
        return leaderFlag;
    }

    public void setLeaderFlag(Byte leaderFlag) {
        this.leaderFlag = leaderFlag;
    }

    public Byte getFillFlag() {
        return fillFlag;
    }

    public void setFillFlag(Byte fillFlag) {
        this.fillFlag = fillFlag;
    }

    public String getTodoId() {
        return todoId;
    }

    public void setTodoId(String todoId) {
        this.todoId = todoId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", userId=").append(userId);
        sb.append(", userName=").append(userName);
        sb.append(", depId=").append(depId);
        sb.append(", depName=").append(depName);
        sb.append(", reportId=").append(reportId);
        sb.append(", bsCommonId=").append(bsCommonId);
        sb.append(", bsCommonParentId=").append(bsCommonParentId);
        sb.append(", leaderFlag=").append(leaderFlag);
        sb.append(", fillFlag=").append(fillFlag);
        sb.append(", todoId=").append(todoId);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ZbReportRelationship other = (ZbReportRelationship) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getUserName() == null ? other.getUserName() == null : this.getUserName().equals(other.getUserName()))
            && (this.getDepId() == null ? other.getDepId() == null : this.getDepId().equals(other.getDepId()))
            && (this.getDepName() == null ? other.getDepName() == null : this.getDepName().equals(other.getDepName()))
            && (this.getReportId() == null ? other.getReportId() == null : this.getReportId().equals(other.getReportId()))
            && (this.getBsCommonId() == null ? other.getBsCommonId() == null : this.getBsCommonId().equals(other.getBsCommonId()))
            && (this.getBsCommonParentId() == null ? other.getBsCommonParentId() == null : this.getBsCommonParentId().equals(other.getBsCommonParentId()))
            && (this.getLeaderFlag() == null ? other.getLeaderFlag() == null : this.getLeaderFlag().equals(other.getLeaderFlag()))
            && (this.getFillFlag() == null ? other.getFillFlag() == null : this.getFillFlag().equals(other.getFillFlag()))
            && (this.getTodoId() == null ? other.getTodoId() == null : this.getTodoId().equals(other.getTodoId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getUserName() == null) ? 0 : getUserName().hashCode());
        result = prime * result + ((getDepId() == null) ? 0 : getDepId().hashCode());
        result = prime * result + ((getDepName() == null) ? 0 : getDepName().hashCode());
        result = prime * result + ((getReportId() == null) ? 0 : getReportId().hashCode());
        result = prime * result + ((getBsCommonId() == null) ? 0 : getBsCommonId().hashCode());
        result = prime * result + ((getBsCommonParentId() == null) ? 0 : getBsCommonParentId().hashCode());
        result = prime * result + ((getLeaderFlag() == null) ? 0 : getLeaderFlag().hashCode());
        result = prime * result + ((getFillFlag() == null) ? 0 : getFillFlag().hashCode());
        result = prime * result + ((getTodoId() == null) ? 0 : getTodoId().hashCode());
        return result;
    }
}